Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 819298 - [abrt] simple-scan-3.4.0-1.fc17: __strcasecmp_l_avx: Process /usr/bin/simple-scan was killed by signal 11 (SIGSEGV)
Summary: [abrt] simple-scan-3.4.0-1.fc17: __strcasecmp_l_avx: Process /usr/bin/simple-...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: simple-scan
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:52deada89611cdd01f89fa0ee13...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-06 11:21 UTC by Mikko Tiihonen
Modified: 2013-08-01 04:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 04:46:55 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2012-05-06 11:21 UTC, Mikko Tiihonen
no flags Details
File: maps (deleted)
2012-05-06 11:21 UTC, Mikko Tiihonen
no flags Details
File: dso_list (deleted)
2012-05-06 11:21 UTC, Mikko Tiihonen
no flags Details
File: build_ids (deleted)
2012-05-06 11:21 UTC, Mikko Tiihonen
no flags Details

Description Mikko Tiihonen 2012-05-06 11:21:35 UTC
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        simple-scan
comment:        My laptop wifi connection was unreliable while I tried to scan over wifi
core_backtrace: 
crash_function: __strcasecmp_l_avx
executable:     /usr/bin/simple-scan
kernel:         3.4.0-0.rc5.git0.2.fc18.x86_64
pid:            5165
pwd:            /home/mtiihone
remote_result:  752537
time:           Sun 06 May 2012 01:13:56 PM EEST
uid:            1001
username:       mtiihone

backtrace:      Text file, 105919 bytes
build_ids:      Text file, 7093 bytes
dso_list:       Text file, 18523 bytes
maps:           Text file, 77105 bytes

cgroup:
:8:perf_event:/
:7:blkio:/
:6:net_cls:/
:5:freezer:/
:4:devices:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mtiihone/2

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=quadvadis.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=3eaa7b368cdfaf4372ecda170000000b-1336244201.324048-184531107
:GNOME_KEYRING_CONTROL=/run/user/mtiihone/keyring-TpL3PA
:IMSETTINGS_MODULE=none
:MAIL=/var/spool/mail/mtiihone
:PATH=/home/mtiihone/.local/bin:/home/mtiihone/bin:/home/mtiihone/jdk/bin:/home/mtiihone/maven/bin:/home/mtiihone/ant/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mtiihone
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1557
:LANG=en_US.UTF-8
:GDM_LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mtiihone
:SHLVL=1
:LOGNAME=mtiihone
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6HCFQCOATI,guid=c38c44972a1871a9301a7bde0000068a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mtiihone
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-mtiihone-Eo2cNq/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1562,unix/unix:/tmp/.ICE-unix/1562
:SSH_AUTH_SOCK=/run/user/mtiihone/keyring-TpL3PA/ssh
:GPG_AGENT_INFO=/run/user/mtiihone/keyring-TpL3PA/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/simple-scan.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5165
:DESKTOP_STARTUP_ID=gnome-shell-1797-quadvadis.localdomain-simple-scan-3_TIME16300602

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 126994               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       126994               126994               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mtiihone/.xsession-errors
:pos:	86864
:flags:	0102002
:2:/home/mtiihone/.xsession-errors
:pos:	86864
:flags:	0102002
:3:socket:[104994]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[104350]
:pos:	0
:flags:	02004002
:6:/home/mtiihone/.cache/simple-scan/simple-scan.log
:pos:	0
:flags:	0100001
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[76918]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[104351]
:pos:	0
:flags:	02004002
:12:pipe:[76922]
:pos:	0
:flags:	00
:13:pipe:[76922]
:pos:	0
:flags:	01
:14:anon_inode:[timerfd]
:pos:	0
:flags:	04002
:15:socket:[105152]
:pos:	0
:flags:	02004002
:16:anon_inode:inotify
:pos:	0
:flags:	02004000
:17:/dev/urandom
:pos:	0
:flags:	02100000
:18:socket:[105153]
:pos:	0
:flags:	02000002
:19:socket:[102390]
:pos:	0
:flags:	02000002
:20:socket:[180328]
:pos:	0
:flags:	02000002
:21:socket:[147252]
:pos:	0
:flags:	02000002

var_log_messages:
:May  6 13:13:56 quadvadis kernel: [16892.989662] simple-scan[5169]: segfault at 91 ip 0000003a6f537235 sp 00007f0ff9e663f8 error 4 in libc-2.15.so[3a6f400000+1ac000]
:May  6 13:13:56 quadvadis abrt[6050]: Saved core dump of pid 5165 (/usr/bin/simple-scan) to /var/spool/abrt/ccpp-2012-05-06-13:13:56-5165 (39956480 bytes)

Comment 1 Mikko Tiihonen 2012-05-06 11:21:39 UTC
Created attachment 582435 [details]
File: backtrace

Comment 2 Mikko Tiihonen 2012-05-06 11:21:41 UTC
Created attachment 582436 [details]
File: maps

Comment 3 Mikko Tiihonen 2012-05-06 11:21:44 UTC
Created attachment 582437 [details]
File: dso_list

Comment 4 Mikko Tiihonen 2012-05-06 11:21:45 UTC
Created attachment 582438 [details]
File: build_ids

Comment 5 Fedora End Of Life 2013-07-04 00:45:41 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2013-08-01 04:46:58 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.